parche de Adobe Commerce 2.3.5, 2.3.5-p1: problema de pago por país

Este parche resuelve un problema en Adobe Commerce en el que el flujo de trabajo de cierre de compra de la tienda no mostraba ningún método de pago que se hubiera habilitado para países específicos, excepto Klarna y Amazon Pay.

Productos y versiones afectados

  • Adobe Commerce en la nube 2.3.5 y 2.3.5-p1
  • Adobe Commerce local 2.3.5 y 2.3.5-p1

Problema

Cuando una tienda tiene Amazon Pay y otro pago asignado a diferentes países, y cuando se selecciona uno de esos países y métodos de pago, los botones de forma de pago y realizar pedido no están visibles.

Una actualización de página web es una solución para el problema.

Para resolver este problema y eliminar el error, se ha creado un parche.

Requisitos previos:

  • Se crea un producto simple.

  • Cheque/giro postal solo está habilitado para países específicos (en Almacenar > Configuración > Ventas > Métodos de pago).

  • Ejemplo: Pago de Países Aplicables = Países Específicos

  • Ejemplo: Pago desde países específicos = Reino Unido

Pasos a seguir:

  1. Vaya a la Tienda como invitado.

  2. Agregue un producto simple al carro de compras.

  3. Vaya a Cierre de compra.

  4. Rellene el formulario con datos válidos.

    • País = Estados Unidos
  5. Selecciona la tarifa de envío y pulsa Siguiente.

    • Se abre el paso de pago.
    • No hay pagos disponibles.
    • Mensaje: No hay ninguna forma de pago disponible.
    • No hay ninguna Realizar pedido botón.
  6. Vuelva a la Paso de envío y cambie el valor a:

    • País = Reino Unido
  7. Selecciona la tarifa de envío y pulsa Siguiente.

Resultado esperado:

Se abre el paso Pago.

  • Pago contra reembolso aparece.
  • Cheque/giro postal aparece.
  • El Realizar pedido aparece el botón.

Resultado real:

Se abre el paso Pago.

  • No hay pagos disponibles.
  • Mensaje: No hay ninguna forma de pago disponible.
  • No hay ninguna Realizar pedido botón.

Solución

Aplicar el parche más abajo.

Parche

El parche se adjunta a este artículo. Para descargarlo, desplácese hacia abajo hasta el final del artículo y haga clic en el nombre del archivo o haga clic en el siguiente vínculo:

Descargar BUNDLE-2546_EE_2.3.5-p1.composer.patch

Versiones de Adobe Commerce compatibles:

El parche se ha creado para:

  • Adobe Commerce en la nube 2.3.5 y 2.3.5-p1
  • Adobe Commerce local 2.3.5 y 2.3.5-p1

El parche también es compatible (pero es posible que no resuelva el problema) con las siguientes versiones y ediciones de Adobe Commerce:

  • Adobe Commerce versiones 2.3.4-p2 - 2.2.6

Cómo aplicar el parche

Consulte Cómo aplicar un parche del compositor proporcionado por Adobe Commerce en nuestra base de conocimiento de asistencia para obtener instrucciones.

Archivos adjuntos

recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a